<?php
/**
 * Plugin Name: DyaPress E-Commerce
 * Plugin URI: https://dyapress.com/
 * Description: e-Commerce extension for DyaPress Premium Microservice API
 * Version: 0.4
 * Author: Aytechnet
 * Author URI: https://www.aytechnet.fr
 * License: GPLv3 or later
 * Text Domain: dyapress-ecommerce
 * Domain Path: /languages/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * WordPress DyaPress Premium API plugin :
 * Copyright (C) 2018-2020      François Pons        <fpons@aytechnet.fr>
 *
 * Please see https://dyapress.com/
 *
 * @package DyaPressECommerce
 */

defined( 'ABSPATH' ) or exit;

define( 'DYAPRESS_ECOMMERCE_VERSION', '0.4' );

if (! defined( 'DYAPRESS_ECOMMERCE_PLUGIN_PATH' ) ) {
    define( 'DYAPRESS_ECOMMERCE_PLUGIN_PATH', dirname( __FILE__ ) );
}

if ( ! function_exists( 'dyapress_premium' ) ) {
    if ( ! class_exists( 'DyaPressPremium' ) ) {
	require_once DYAPRESS_ECOMMERCE_PLUGIN_PATH . '/includes/class-premium.php';
    }

    /**
     * Returns the main instance of DyaPress Premium API.
     *
     * @return DyaPressPremium
     */
    function dyapress_premium() {
	return DyaPressPremium::get_instance();
    }
}

if ( ! class_exists( 'DyaPressECommerce' ) ) {
    require_once DYAPRESS_ECOMMERCE_PLUGIN_PATH . '/includes/class-ecommerce.php';
}

/**
 * Returns the main instance of DyaPress Premium e-Commerce.
 *
 * @return DyaPressECommerce
 */
function dyapress_ecommerce() {
    return DyaPressECommerce::get_instance();
}

// activate/deactivate
register_activation_hook( __FILE__, array( dyapress_ecommerce(), 'activate' ) );
register_deactivation_hook( __FILE__, array( dyapress_ecommerce(), 'deactivate' ) );
