<?php
/**
 * DyaPress e-Commerce My Account.
 *
 * @class    DyaPressECommerceMyaccount
 * @package  DyaPressECommerce/Classes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * WordPress DyaPress e-Commerce plugin :
 * Copyright (C) 2018-2020      François Pons        <fpons@aytechnet.fr>
 *
 * Please see https://dyapress.com/
 */

defined( 'ABSPATH' ) && defined( 'DYAPRESS_ECOMMERCE_PLUGIN_PATH' ) or die( 'Oops' );

class DyaPressECommerceMyaccount {
    public static function init() {
	add_action( 'dyapress_ecommerce_add_account_sections', array( __CLASS__, 'myaccount_init' ) );
    }

    public static function myaccount_init( $current_user ) {
	if ( dyapress_ecommerce()->display_account_invoices_section() ) {
	    dyapress_ecommerce()->add_account_section( __( 'Invoices', 'dyapress-ecommerce' ), 'invoices', array( __CLASS__, 'invoices' ), 30 );
	}

	if ( dyapress_ecommerce()->display_account_proposals_section() ) {
	    dyapress_ecommerce()->add_account_section( __( 'Proposals', 'dyapress-ecommerce' ), 'proposals', array( __CLASS__, 'proposals' ), 20 );
	}

        dyapress_ecommerce()->add_account_section( __( 'Thirdparties', 'dyapress-ecommerce' ), 'thirdparties', array( __CLASS__, 'thirdparties' ), 90 );
        dyapress_ecommerce()->add_account_section( __( 'Personnal informations', 'dyapress-ecommerce' ), 'informations', array( __CLASS__, 'personnal_informations' ), 90 );
	dyapress_ecommerce()->add_account_section( __( 'Orders', 'dyapress-ecommerce' ), 'orders', array( __CLASS__, 'orders' ), 10 );
    }

    public static function personnal_informations() {
	dyapress_ecommerce()->template_part( 'account/personnal_informations' );
    }

    public static function thirdparties() {
	dyapress_ecommerce()->template_part( 'account/thirdparties' );
    }

    public static function orders() {
	dyapress_ecommerce()->template_part( 'account/orders' );
    }

    public static function proposals() {
	dyapress_ecommerce()->template_part( 'account/proposals' );
    }

    public static function invoices() {
	dyapress_ecommerce()->template_part( 'account/invoices' );
    }
}

DyaPressECommerceMyaccount::init();
