<?php
/*
 * DyaPress Premium Copyright(c) 2018-2020 Aytechnet https://www.aytechnet.fr/
 *
 * See https://dyapress.com/
 */

$invoices = dyapress_premium()->get_invoices( array(
    'customer_id' => get_current_user_id(),
) );

echo '<h2>'.__( 'Invoices', 'dyapress-ecommerce' ).'</h2>';

if ( !is_array( $invoices ) ) {
    echo '<p>'.__( 'Your invoices are not yet available, please try again later...', 'dyapress-ecommerce' ).'</p>';
} elseif ( count( $invoices ) == 0 ) {
    echo '<p>'.__( 'You do not have any invoices yet.', 'dyapress-ecommerce' ).'</p>';
} else {
    $columns = dyapress_ecommerce()->invoice_columns();
?>

<table class="dyapress-ecommerce dyapress-ecommerce-invoices">
    <thead>
<?php dyapress_ecommerce()->echo_columns_header( $columns ); ?>
    </thead>
    <tbody><?php
    foreach ( $invoices as $i ) {
	$p = dyapress_ecommerce()->invoice_display( $i );

	dyapress_ecommerce()->echo_columns_body( $p, $columns );
    } ?>
    </tbody>
</table>
<?php } ?>
