<?php
/*
 * DyaPress Premium Copyright(c) 2018-2020 Aytechnet https://www.aytechnet.fr/
 *
 * See https://dyapress.com/
 */

$orders = dyapress_premium()->get_orders( array(
    'customer_id' => get_current_user_id(),
    'limit' => 10000, // FIXME: -1 is not supported like WooCommerce, so a valid limit must be used
) );

echo '<h2>'.__( 'Orders', 'dyapress-ecommerce' ).'</h2>';

if ( !is_array( $orders ) ) {
    echo '<p>'.__( 'Your orders are not yet available, please try again later...', 'dyapress-ecommerce' ).'</p>';
} elseif ( count( $orders ) == 0 ) {
    echo '<p>'.__( 'You do not have any orders yet.', 'dyapress-ecommerce' ).'</p>';
} else {
    $columns = dyapress_ecommerce()->order_columns();
?>

<table class="dyapress-ecommerce dyapress-ecommerce-orders">
    <thead>
<?php dyapress_ecommerce()->echo_columns_header( $columns ); ?>
    </thead>
    <tbody><?php
    foreach ( $orders as $o ) {
	$p = dyapress_ecommerce()->order_display( $o );

	dyapress_ecommerce()->echo_columns_body( $p, $columns );
    } ?>
    </tbody>
</table>
<?php } ?>
