<?php
/*
 * DyaPress Premium Copyright(c) 2018-2020 Aytechnet https://www.aytechnet.fr/
 *
 * See https://dyapress.com/
 */

$current_user = dyapress_premium()->get_current_user();
?>

<h2><?php _e( 'Personnal informations', 'dyapress-ecommerce' ); ?></h2>

<div class="dyapress-ecommerce dyapress-ecommerce-account-update">
    <form>
	<input type="hidden" name="dyapress-ecommerce_nonce" value="<?php echo wp_create_nonce( 'account_update' ); ?>">
	<div class="row">
	    <div class="field_firstname field">
		<label for="dyapress-ecommerce_firstname"><?php _e( 'First Name', 'dyapress-ecommerce' ); ?></label>
		<input type="text" name="dyapress-ecommerce_firstname" value="<?php echo !empty( $current_user ) ? esc_attr( $current_user->firstname ) : ''; ?>" class="dyapress-ecommerce_firstname">
	    </div>
	    <div class="field_lastname field">
		<label for="dyapress-ecommerce_lastname"><?php _e( 'Last Name', 'dyapress-ecommerce' ); ?></label>
		<input type="text" name="dyapress-ecommerce_lastname" value="<?php echo !empty( $current_user ) ? esc_attr( $current_user->lastname ) : ''; ?>" class="dyapress-ecommerce_lastname">
	    </div>
	    <div class="field_email field">
		<label for="dyapress-ecommerce_email"><?php _e( 'Email address', 'dyapress-ecommerce' ); ?></label>
		<input type="text" name="dyapress-ecommerce_email" value="<?php echo !empty( $current_user ) ? esc_attr( $current_user->email ) : ''; ?>" class="dyapress-ecommerce_email">
	    </div>
	</div>
	<div class="row">
	    <div class="field_password field">
		<label for="dyapress-ecommerce_password"><?php _e( 'Password', 'dyapress-ecommerce' ); ?></label>
		<input type="password" name="dyapress-ecommerce_password" value="" class="dyapress-ecommerce_password">
	    </div>
	    <div class="field_password field">
		<label for="dyapress-ecommerce_password2"><?php _e( 'Confirm password', 'dyapress-ecommerce' ); ?></label>
		<input type="password" name="dyapress-ecommerce_password2" value="" class="dyapress-ecommerce_password">
	    </div>
	</div>

	<p class="heading">
	    <button type="submit" class="btn btn-default"><?php _e( 'Update', 'dyapress-ecommerce' ); ?></button>
	</p>
    </form>
    <div class="messages"></div>
</div>
