<?php
/*
 * DyaPress Premium Copyright(c) 2018-2020 Aytechnet https://www.aytechnet.fr/
 *
 * See https://dyapress.com/
 */

$proposals = dyapress_premium()->get_proposals( array(
    'customer_id' => get_current_user_id(),
    'status'  => array( 'validated', 'signed', 'closed', 'invoiced' ), // FIXME: ignore draf proposal
) );

echo '<h2>'.__( 'Proposals', 'dyapress-ecommerce' ).'</h2>';

if ( !is_array( $proposals ) ) {
    echo '<p>'.__( 'Your proposals are not yet available, please try again later...', 'dyapress-ecommerce' ).'</p>';
} elseif ( count( $proposals ) == 0 ) {
    echo '<p>'.__( 'You do not have any proposals yet.', 'dyapress-ecommerce' ).'</p>';
} else {
    $columns = dyapress_ecommerce()->proposal_columns();
?>

<table class="dyapress-ecommerce dyapress-ecommerce-proposals">
    <thead>
<?php dyapress_ecommerce()->echo_columns_header( $columns ); ?>
    </thead>
    <tbody><?php
    foreach ( $proposals as $p ) {
	$d = dyapress_ecommerce()->proposal_display( $p );

	dyapress_ecommerce()->echo_columns_body( $d, $columns );
    } ?>
    </tbody>
</table>
<?php } ?>
