<?php
/*
 * DyaPress Premium Copyright(c) 2018-2020 Aytechnet https://www.aytechnet.fr/
 *
 * See https://dyapress.com/
 */

$current_user = dyapress_premium()->get_current_user();
?>

<h2><?php _e( 'Thirdparties', 'dyapress-ecommerce' ); ?></h2>

<div class="dyapress-ecommerce dyapress-ecommerce-thirdparties">
    <div class="messages"></div>
    <div class="row list"><?php
    foreach ( $current_user->thirdparties as $t ) { if ( !empty( $t->country_id ) ) { ?>
	<div class="thirdparty">
	    <?php dyapress_ecommerce()->echo_thirdparty( $t ); ?>
	    <p class="actions">
		<a data-thirdparty_id="<?php echo $t->thirdparty_id; ?>" href="#edit"><?php _e( 'Edit', 'dyapress-ecommerce' ); ?></a>
		<a data-thirdparty_id="<?php echo $t->thirdparty_id; ?>" href="#delete"><?php _e( 'Delete', 'dyapress-ecommerce' ); ?></a>
	    </p>
	</div><?php
    } } ?>
    </div>
    <form>
	<h3><?php _e( 'Add new thirdparty', 'dyapress-ecommerce' ); ?></h3>
	<input type="hidden" name="dyapress-ecommerce_nonce" value="<?php echo wp_create_nonce( 'thirdparty-create-update' ); ?>">
	<input type="hidden" name="dyapress-ecommerce_thirdparty_id" value="0">
	<div class="row">
	    <h4 class="col"><?php _e( 'Contact informations', 'dyapress-ecommerce' ); ?></h4>
	</div>
	<div class="row">
	    <div class="field_firstname field">
		<label for="dyapress-ecommerce_firstname"><?php _e( 'First Name', 'dyapress-ecommerce' ); ?></label>
		<input type="text" name="dyapress-ecommerce_firstname" value="" class="dyapress-ecommerce_firstname">
	    </div>
	    <div class="field_lastname field">
		<label for="dyapress-ecommerce_lastname"><?php _e( 'Last Name', 'dyapress-ecommerce' ); ?></label>
		<input type="text" name="dyapress-ecommerce_lastname" value="" class="dyapress-ecommerce_lastname">
	    </div>
	</div>
	<div class="row">
	    <h4 class="col"><?php _e( 'Thirdparty informations', 'dyapress-ecommerce' ); ?></h4>
	</div>

<?php global $dyapress_ecommerce_current_thirdparty; $dyapress_ecommerce_current_thirdparty = null; dyapress_ecommerce()->template_part( 'thirdparty' ); ?>

	<p class="heading">
	    <button type="submit" class="btn btn-default"><?php _e( 'Add new thirdparty', 'dyapress-ecommerce' ); ?></button>
	</p>
    </form>
</div>
