<?php
/*
 * DyaPress Premium Copyright(c) 2018-2020 Aytechnet https://www.aytechnet.fr/
 *
 * See https://dyapress.com/
 */
?>

<p class="dyapress-ecommerce-heading"><?php _e( 'Personal information', 'dyapress-ecommerce' ); ?></strong></p>

<?php
if ( is_user_logged_in() ) {
    echo '<p class="important">';
    printf( __( 'Your are already logged in, please <a href="%s">logout</a> to change values below.', 'dyapress-ecommerce' ), 
	    esc_url( wp_logout_url( get_permalink() ) ) );
    echo '</p>';

    $disabled = '" disabled="disabled';
} else
    $disabled = '';

$current_user = dyapress_premium()->get_current_user();
?>
<div class="row">
    <div class="field_firstname field">
	<label for="dyapress-ecommerce_firstname"><?php _e( 'First Name', 'dyapress-ecommerce' ); ?></label>
	<input type="text" name="dyapress-ecommerce_firstname" value="<?php echo !empty( $current_user ) ? esc_attr( $current_user->firstname ) : ''; echo $disabled; ?>" class="dyapress-ecommerce_firstname">
    </div>
    <div class="field_lastname field">
	<label for="dyapress-ecommerce_lastname"><?php _e( 'Last Name', 'dyapress-ecommerce' ); ?></label>
	<input type="text" name="dyapress-ecommerce_lastname" value="<?php echo !empty( $current_user ) ? esc_attr( $current_user->lastname ) : ''; echo $disabled; ?>" class="dyapress-ecommerce_lastname">
    </div>
    <div class="field_email field">
	<label for="dyapress-ecommerce_email"><?php _e( 'Email address', 'dyapress-ecommerce' ); ?></label>
	<input type="text" name="dyapress-ecommerce_email" value="<?php echo !empty( $current_user ) ? esc_attr( $current_user->email ) : ''; echo $disabled; ?>" class="dyapress-ecommerce_email">
    </div>
</div>

<p class="heading"><?php _e( 'Invoice information', 'dyapress-ecommerce' ); dyapress_ecommerce()->dropdown_thirdparty( $current_user, '<span class="important">'.__( ', please select or create a thirdparty : ', 'dyapress-ecommerce' ).'</span>' ); ?></p>

<?php

global $dyapress_ecommerce_current_thirdparty; $dyapress_ecommerce_current_thirdparty = dyapress_premium()->get_current_thirdparty();

dyapress_ecommerce()->template_part( 'thirdparty' );
