<?php
/*
 * DyaPress Premium Copyright(c) 2018-2020 Aytechnet https://www.aytechnet.fr/
 *
 * See https://dyapress.com/
 */
?>
<?php global $dyapress_ecommerce_args;
    $button_class = !empty( $dyapress_ecommerce_args['button_class'] ) ? $dyapress_ecommerce_args['button_args'] : 'btn btn-default';
    $button_label = !empty( $dyapress_ecommerce_args['button_label'] ) ? $dyapress_ecommerce_args['button_label'] : __( 'Purchase', 'dyapress-ecommerce' );

    if ( dyapress_premium()->is_stripe_available() ) { ?>
<p class="heading"><?php _e( 'Billing information', 'dyapress-ecommerce' ); ?></p>

<div class="stripe">
    <label for="card-element"><?php _e( 'Credit or debit cart', 'dyapress-ecommerce' ); ?></label>
    <div id="card-element"></div>
    <div id="card-errors" class="card-errors" role="alert"></div>
    <div class="button">
	<button type="submit" class="<?php echo esc_html( $button_class ); ?>"><?php echo esc_html( $button_label ); ?></button>
    </div>
</div>

<script type="text/javascript">
jQuery(document).ready(function($){
    dyapress_ecommerce.stripe = Stripe(dyapress_ecommerce.stripe_public_key);
    dyapress_ecommerce.elements = dyapress_ecommerce.stripe.elements();
    dyapress_ecommerce.card = dyapress_ecommerce.elements.create( 'card', {
	hidePostalCode: true,
	style: {
	    base: {
		color: '#444',
		lineHeight: '18px',
		fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
		fontSmoothing: 'antialiased',
		fontSize: '16px',
		'::placeholder': { color: '#aaa' }
	    },
	    invalid: {
		color: '#fa755a',
		iconColor: '#fa755a'
	    }
	}
    } );
    dyapress_ecommerce.card.mount('#card-element');
    dyapress_ecommerce.card.addEventListener('change', function(event) {
	if (event.error) {
	    $("#card-errors").html(event.error.message);
	} else {
	    $("#card-errors").html("");
	}
    });

    /*
    $("#card-element").parents("form").find("button").click(function(event){
	event.preventDefault();

	var form = $(this).parents("form");

	if (form.data("dyapress-ecommerce_stripe_payment_method_id") != "") {
	    $('#stripe-buy-button').prop("disabled", true); // avoid double click and pseudo double purchase as well
	    card.update({value: {postalCode: $("input.dyapress-ecommerce_postcode").val()}});
	    stripe.createPaymentMethod('card', card).then(function(result) {
		if (result.error) {
		    $("#card-errors").html(result.error.message);
		} else {
		    form.data('dyapress-ecommerce_stripe_payment_method_id', result.paymentMethod.id);
		    form.submit();
		}
		$('#stripe-buy-button').prop("disabled", false);
	    });
	}
    });
     */
});
</script>
<?php } else { ?>
<p class="heading error"><?php if ( is_ssl() ) _e( 'You do not have connected Stripe in DyaPress Premium configuration so card payment is not available!', 'dyapress-ecommerce' ); else _e( 'You must enable TLS/SSL for your website in order to use Stripe payment!', 'dyapress-ecommerce' ); ?></p>
<?php } ?>
